Debian Bug report logs - #417133
FTBFS with GCC 4.3: missing #includes

version graph

Package: capisuite; Maintainer for capisuite is Debian QA Group <packages@qa.debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sun, 1 Apr 2007 16:57:01 UTC

Severity: serious

Tags: lenny, patch, sid

Found in versions capisuite/0.4.5-6, capisuite/0.4.5-6.1

Fixed in version capisuite/0.4.5-6.3

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, danielpriem@flexserv.de (Daniel J. Priem):
Bug#417133; Package capisuite. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to danielpriem@flexserv.de (Daniel J. Priem). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.3: missing #includes
Date: Sun, 1 Apr 2007 17:56:04 +0100
Package: capisuite
Version: 0.4.5-6
Usertags: ftbfs-gcc-4.3
Tags: patch

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  In GCC 4.3, the C++ header
dependencies have been cleaned up.  The advantage of this is that
programs will compile faster.  The downside is that you actually
need to directly #include everything you use (but you really should
do this anyway, otherwise your program won't work with any compiler
other than GCC).  Some background of this can be found at
http://gcc.gnu.org/PR28080

You can reproduce this problem with gcc-snapshot from unstable.

> Automatic build of capisuite_0.4.5-6 on coconut0 by sbuild/ia64 0.49
...
> if ia64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../..   -DLOCALSTATEDIR=\"/var\" -DPKGDATADIR=\"/usr/share/capisuite\" -DPKGSYSCONFDIR=\"/etc/capisuite\" -DPKGLIBDIR=\"/usr/lib/capisuite\" -I/usr/include/python2.4  -g -O2 -MT capi.o -MD -MP -MF ".deps/capi.Tpo" -c -o capi.o capi.cpp; \
> 	then mv -f ".deps/capi.Tpo" ".deps/capi.Po"; else rm -f ".deps/capi.Tpo"; exit 1; fi
> capi.cpp: In function 'void* capi_exec_handler(void*)':
> capi.cpp:28: error: 'exit' was not declared in this scope
> make[4]: *** [capi.o] Error 1

--- backend/capi.cpp~	2007-04-01 16:49:05.000000000 +0000
+++ backend/capi.cpp	2007-04-01 16:49:10.000000000 +0000
@@ -14,6 +14,7 @@
  *                                                                         *
  ***************************************************************************/
 
+#include <cstdlib>
 #include <iostream>
 #include <sstream>
 #include "connection.h"

-- 
Martin Michlmayr
http://www.cyrius.com/



Severity set to `important' from `normal' Request was from Matthias Klose <doko@cs.tu-berlin.de> to control@bugs.debian.org. (Tue, 29 May 2007 09:31:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, danielpriem@flexserv.de (Daniel J. Priem):
Bug#417133; Package capisuite. Full text and rfc822 format available.

Message #10 received at 417133@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 417133@bugs.debian.org
Subject: NMU diff for capisuite 0.4.5-6.1
Date: Sun, 16 Mar 2008 23:27:17 +0100
[Message part 1 (text/plain, inline)]
Diff attached.

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                             Debian Developer
: :' :  http://philkern.de                       Debian Release Assistant
`. `'   xmpp:phil@0x539.de
  `-    finger pkern/key@db.debian.org
[capisuite_0.4.5-6.1.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 417133-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 417133-close@bugs.debian.org
Subject: Bug#417133: fixed in capisuite 0.4.5-6.1
Date: Sun, 16 Mar 2008 22:32:04 +0000
Source: capisuite
Source-Version: 0.4.5-6.1

We believe that the bug you reported is fixed in the latest version of
capisuite, which is due to be installed in the Debian FTP archive:

capisuite_0.4.5-6.1.diff.gz
  to pool/main/c/capisuite/capisuite_0.4.5-6.1.diff.gz
capisuite_0.4.5-6.1.dsc
  to pool/main/c/capisuite/capisuite_0.4.5-6.1.dsc
capisuite_0.4.5-6.1_amd64.deb
  to pool/main/c/capisuite/capisuite_0.4.5-6.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 417133@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated capisuite package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 16 Mar 2008 23:16:11 +0100
Source: capisuite
Binary: capisuite
Architecture: source amd64
Version: 0.4.5-6.1
Distribution: unstable
Urgency: low
Maintainer: Daniel J. Priem <danielpriem@flexserv.de>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 capisuite  - easy fax and voice box solution for ISDN/CAPI capable devices
Closes: 417133
Changes: 
 capisuite (0.4.5-6.1) unstable; urgency=low
 .
   * Non-maintainer upload for the gcc-4.3 release goal, with a patch
     provided by Martin Michlmayer.  (Closes: #417133)
Files: 
 cbdaa901c1e99146fdbc7bd7755c98dc 743 comm extra capisuite_0.4.5-6.1.dsc
 d0f039c96e54af46e2a60d08b7089c97 31989 comm extra capisuite_0.4.5-6.1.diff.gz
 00eb0e23828d120a096e262ac15a9631 1128502 comm extra capisuite_0.4.5-6.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH3Z2o7Ro5M7LPzdgRAodaAJ9MEmY/OeDZpNwWeuyxnZbCEjnz0ACg8Bdp
O1wwz9TS4Z/TNaH0aYdJ8AM=
=pVeM
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, danielpriem@flexserv.de (Daniel J. Priem):
Bug#417133; Package capisuite. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.berkeley.edu>:
Extra info received and forwarded to list. Copy sent to danielpriem@flexserv.de (Daniel J. Priem). Full text and rfc822 format available.

Message #20 received at 417133@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.berkeley.edu>
To: 417133@bugs.debian.org
Cc: control@bugs.debian.org
Subject: capisuite still FTBFS with gcc-4.3
Date: Mon, 24 Mar 2008 16:35:36 -0400
package capisuite
reopen 417133
found 417133 0.4.5-6.1
thanks

I'm still getting build failures for capisuite with g++-4.3:

...
if 
x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../..   -DLOCALSTATEDIR=\"/var\" -DPKGDATADIR=\"/usr/share/capisuite\" -DPKGSYSCONFDIR=\"/etc/capisuite\" -DPKGLIBDIR=\"/usr/lib/capisuite\" -I/usr/include/python2.4  -g -O2 -MT 
connection.o -MD -MP -MF ".deps/connection.Tpo" -c -o connection.o connection.cpp; \
        then mv -f ".deps/connection.Tpo" ".deps/connection.Po"; else rm -f ".deps/connection.Tpo"; exit 1; fi
connection.cpp: In member function 'std::string Connection::getNumber(unsigned char*, bool)':
connection.cpp:1023: error: 'memcpy' was not declared in this scope
connection.cpp: In member function 'void Connection::convertToCP437(std::string&)':
connection.cpp:1109: error: 'strncpy' was not declared in this scope
connection.cpp:1120: error: 'strerror_r' was not declared in this scope
make[4]: *** [connection.o] Error 1
make[4]: Leaving directory `/tmp/buildd/capisuite-0.4.5/src/backend'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/buildd/capisuite-0.4.5/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/buildd/capisuite-0.4.5'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/tmp/buildd/capisuite-0.4.5'
make: *** [build-stamp] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
-- 
Daniel Schepler




Bug reopened, originator not changed. Request was from Daniel Schepler <schepler@math.berkeley.edu> to control@bugs.debian.org. (Mon, 24 Mar 2008 20:36:06 GMT) Full text and rfc822 format available.

Bug marked as found in version 0.4.5-6.1. Request was from Daniel Schepler <schepler@math.berkeley.edu> to control@bugs.debian.org. (Mon, 24 Mar 2008 20:36:06 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Marc Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:45:08 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 417133-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 417133-close@bugs.debian.org
Subject: Bug#417133: fixed in capisuite 0.4.5-6.3
Date: Sat, 05 Apr 2008 15:32:02 +0000
Source: capisuite
Source-Version: 0.4.5-6.3

We believe that the bug you reported is fixed in the latest version of
capisuite, which is due to be installed in the Debian FTP archive:

capisuite_0.4.5-6.3.diff.gz
  to pool/main/c/capisuite/capisuite_0.4.5-6.3.diff.gz
capisuite_0.4.5-6.3.dsc
  to pool/main/c/capisuite/capisuite_0.4.5-6.3.dsc
capisuite_0.4.5-6.3_i386.deb
  to pool/main/c/capisuite/capisuite_0.4.5-6.3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 417133@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated capisuite package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 16:21:46 +0100
Source: capisuite
Binary: capisuite
Architecture: source i386
Version: 0.4.5-6.3
Distribution: unstable
Urgency: low
Maintainer: Daniel J. Priem <danielpriem@flexserv.de>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 capisuite  - easy fax and voice box solution for ISDN/CAPI capable devices
Closes: 417133
Changes: 
 capisuite (0.4.5-6.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with gcc-4.3 (closes: #417133) (again?)
   * Lintian warnings silenced:
     - stop ignoring make clean errors
   * Update Standards-Version (no changes)
Files: 
 be0c36cabdf4d5aa412ce8f692baa0e6 778 comm extra capisuite_0.4.5-6.3.dsc
 870ad896ebf82e405f066e757f8351da 32275 comm extra capisuite_0.4.5-6.3.diff.gz
 eca3bd06d55898b761d477702037462f 1096946 comm extra capisuite_0.4.5-6.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH95mJSYIMHOpZA44RAntaAJ9VpSFl6V6+mOYT6XJSS0jItR0lQwCgy7p+
xF2n+J4MuXJdjr41VRFmunM=
=USHo
-----END PGP SIGNATURE-----





Tags added: lenny, sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Fri, 15 Aug 2008 21:47:33 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:32:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 11:03:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.